<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'clientes',

    /*
     * Package.
     */
    'package'   => 'cliente',

    /*
     * Modules.
     */
    'modules'   => ['cliente', 
'cliente', 
'arquivo', 
'pasta', 
'endereco'],


    'cliente'       => [
        'model'             => 'Clientes\Cliente\Models\Cliente',
        'table'             => 'clientes',
        'presenter'         => \Clientes\Cliente\Repositories\Presenter\ClienteItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', ],
        'translate'         => [],

        'upload-folder'     => '/uploads/cliente/cliente',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],
'cliente'       => [
        'model'             => 'Clientes\Cliente\Models\Cliente',
        'table'             => 'clientes',
        'presenter'         => \Clientes\Cliente\Repositories\Presenter\ClienteItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'nome',  'empresa',  'cargo',  'telefone',  'fax',  'site',  'email',  'comentario'],
        'translate'         => ['nome',  'empresa',  'cargo',  'telefone',  'fax',  'site',  'email',  'comentario'],

        'upload-folder'     => '/uploads/cliente/cliente',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],
'arquivo'       => [
        'model'             => 'Clientes\Cliente\Models\Arquivo',
        'table'             => 'arquivos',
        'presenter'         => \Clientes\Cliente\Repositories\Presenter\ArquivoItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'name',  'permissoes',  'cep',  'logradouro',  'bairro',  'cidade',  'estado',  'pais',  'email',  'token',  'pai',  'nome',  'permissoes',  'name',  'email',  'password',  'remember_token',  'email),',  'id),',  '10)',  '10)',  '10)',  '10)'],
        'translate'         => ['name',  'permissoes',  'cep',  'logradouro',  'bairro',  'cidade',  'estado',  'pais',  'email',  'token',  'pai',  'nome',  'permissoes',  'name',  'email',  'password',  'remember_token',  'email),',  'id),',  '10)',  '10)',  '10)',  '10)'],

        'upload-folder'     => '/uploads/cliente/arquivo',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],
'pasta'       => [
        'model'             => 'Clientes\Cliente\Models\Pasta',
        'table'             => 'pastas',
        'presenter'         => \Clientes\Cliente\Repositories\Presenter\PastaItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'pai',  'nome',  'permissoes'],
        'translate'         => ['pai',  'nome',  'permissoes'],

        'upload-folder'     => '/uploads/cliente/pasta',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],
'endereco'       => [
        'model'             => 'Clientes\Cliente\Models\Endereco',
        'table'             => 'enderecos',
        'presenter'         => \Clientes\Cliente\Repositories\Presenter\EnderecoItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'cep',  'logradouro',  'bairro',  'cidade',  'estado',  'pais'],
        'translate'         => ['cep',  'logradouro',  'bairro',  'cidade',  'estado',  'pais'],

        'upload-folder'     => '/uploads/cliente/endereco',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],
];
