@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('cliente::cliente.name') !!} <small> {!! trans('cms.manage') !!} {!! trans('cliente::cliente.names') !!}</small>
@stop

@section('title')
{!! trans('cliente::cliente.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="{!! trans_url('admin') !!}"><i class="fa fa-dashboard"></i> {!! trans('cms.home') !!} </a></li>
    <li class="active">{!! trans('cliente::cliente.names') !!}</li>
</ol>
@stop

@section('entry')
<div class="box box-warning" id='cliente-cliente-entry'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="cliente-cliente-list" class="table table-striped table-bordered">
    <thead>
        <th>{!! trans('cliente::cliente.label.nome')!!}</th>
                    <th>{!! trans('cliente::cliente.label.empresa')!!}</th>
                    <th>{!! trans('cliente::cliente.label.cargo')!!}</th>
                    <th>{!! trans('cliente::cliente.label.telefone')!!}</th>
                    <th>{!! trans('cliente::cliente.label.fax')!!}</th>
                    <th>{!! trans('cliente::cliente.label.site')!!}</th>
                    <th>{!! trans('cliente::cliente.label.email')!!}</th>
                    <th>{!! trans('cliente::cliente.label.comentario')!!}</th>
    </thead>
</table>
@stop

@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    app.load('#cliente-cliente-entry', '{!!URL::to('admin/cliente/cliente/0')!!}');
    oTable = $('#cliente-cliente-list').dataTable( {
        "ajax": '{!! URL::to('/admin/cliente/cliente') !!}',
        "columns": [
            {data :'nome'},
                    {data :'empresa'},
                    {data :'cargo'},
                    {data :'telefone'},
                    {data :'fax'},
                    {data :'site'},
                    {data :'email'},
                    {data :'comentario'},
        ],
        "pageLength": 50
    });

    $('#cliente-cliente-list tbody').on( 'click', 'tr', function () {

        if ($(this).hasClass('selected') ) {
            $(this).removeClass('selected');
        } else {
            oTable.$('tr.selected').removeClass('selected');
            $(this).addClass('selected');
        }

        var d = $('#cliente-cliente-list').DataTable().row( this ).data();

        $('#cliente-cliente-entry').load('{!!URL::to('admin/cliente/cliente')!!}' + '/' + d.id);

    });
});
</script>
@stop

@section('style')
@stop

